//
//  SpeakDialogTipsPrcticeViewCtr.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/8/20.
//

import UIKit

class SpeakDialogTipsPrcticeViewCtr: UIViewController {

    @IBOutlet weak var SpeakDIalogDescptionL: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        let paragraph = NSMutableParagraphStyle()
        paragraph.lineSpacing = 12
        paragraph.alignment = .center
        let att = NSMutableAttributedString(string: "Immediately enter the\npractice,make preparation", attributes: [NSAttributedString.Key.paragraphStyle : paragraph])
        SpeakDIalogDescptionL.attributedText = att;
    }

    func show() -> Void {
        self.modalPresentationStyle = .overFullScreen
        self.modalTransitionStyle = .crossDissolve
        SpWindow.rootViewController?.present(self, animated: true)
        DispatchQueue.main.asyncAfter(deadline: .now() + 3) {
            self.dismiss(animated: true)
        }
    }

}
